-- =============================================
-- Application: Excel Applications. 10 Steps for Database Developers
-- Developer:   Sergey Vaselenko
-- Release:     1.0, 2017-03-20
-- =============================================
GO

DELETE FROM [dbo01].[ColumnTranslation]            WHERE TABLE_SCHEMA IN ('dbo67')
GO
DELETE FROM [dbo01].[EventHandlers]                WHERE TABLE_SCHEMA IN ('dbo67')
GO
DELETE FROM [dbo01].[ObjectTranslation]            WHERE TABLE_SCHEMA IN ('dbo67')
GO
DELETE FROM [dbo01].[ParameterValues]              WHERE TABLE_SCHEMA IN ('dbo67')
GO
DELETE FROM [dbo01].[QueryList]                    WHERE TABLE_SCHEMA IN ('dbo67')
GO
DELETE FROM [dbo01].[TableFormats]                 WHERE TABLE_SCHEMA IN ('dbo67')
GO

IF EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo67].[FK_Payments_Accounts_dbo67]') AND parent_object_id = OBJECT_ID(N'[dbo67].[Payments]')) 
    ALTER TABLE [dbo67].[Payments] DROP CONSTRAINT [FK_Payments_Accounts_dbo67]
GO

IF EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo67].[FK_Payments_Companies_dbo67]') AND parent_object_id = OBJECT_ID(N'[dbo67].[Payments]')) 
    ALTER TABLE [dbo67].[Payments] DROP CONSTRAINT [FK_Payments_Companies_dbo67]
GO

IF EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo67].[FK_Payments_Items_dbo67]') AND parent_object_id = OBJECT_ID(N'[dbo67].[Payments]')) 
    ALTER TABLE [dbo67].[Payments] DROP CONSTRAINT [FK_Payments_Items_dbo67]
GO

DROP PROCEDURE [dbo67].[uspPayments]
GO
DROP PROCEDURE [dbo67].[uspPayments_delete]
GO
DROP PROCEDURE [dbo67].[uspPayments_insert]
GO
DROP PROCEDURE [dbo67].[uspPayments_update]
GO
DROP VIEW [dbo67].[viewPayments]
GO
DROP TABLE [dbo67].[Accounts]
GO
DROP TABLE [dbo67].[Companies]
GO
DROP TABLE [dbo67].[Items]
GO
DROP TABLE [dbo67].[Payments]
GO

DROP SCHEMA [dbo67]
GO

print N'The application has been removed';
GO
